=== debian/changelog ===
ros-indigo-evarobot-gazebo (0.0.1-0trusty) trusty; urgency=high

  * add interactive marker twist
  * add interactive marker twist
  * move rviz to evarobot_viz
  * fix SensorModelConfig.h path
  * first_commit
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Tue, 08 Mar 2016 22:00:00 -0000
