=== debian/control ===
Source: ros-indigo-evarobot-gazebo
Section: misc
Priority: extra
Maintainer: Mehmet Akcakoca <akcakocamehmet@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-angles, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-diagnostic-updater, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-hector-gazebo-plugins, ros-indigo-im-msgs, ros-indigo-image-transport, ros-indigo-interactive-marker-twist-server, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-polled-camera, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rosgraph-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2-ros, ros-indigo-trajectory-msgs, ros-indigo-urdf
Homepage: http://ros.org/wiki/evarobot_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-evarobot-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, ros-indigo-angles, ros-indigo-camera-info-manager, ros-indigo-cv-bridge, ros-indigo-driver-base, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-msgs, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-hector-gazebo-plugins, ros-indigo-im-msgs, ros-indigo-image-transport, ros-indigo-interactive-marker-twist-server, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-polled-camera, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rosgraph-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-tf2-ros, ros-indigo-trajectory-msgs, ros-indigo-urdf
Description: evarobot simulator bringup.
